/*
 * nxclock.h - Nano-X clock header file 
 *
 * Copyright (C) 2000 by Century Software 
 * Truman Lackey <trumanl@censoft.com>
 *
 */

#ifndef nxclock_h
#define nxclock_h
#endif

#include "nano-X.h"

#define ROUND_CLOCK 	1

#define BLACK		MWRGB( 0  , 0  , 0   )
#define GRAY		MWRGB( 128, 128, 128 )
#define DKGRAY		MWRGB( 32 , 32 , 32  )
#define LTGRAY		MWRGB( 192, 192, 192 )
#define WHITE		MWRGB( 255, 255, 255 ) 

#define M_PI            3.14159265358979323846

typedef unsigned char uchar;

struct clock_time{
		  int hour_;
		  int minute_;
		  int second_;
};

