#ifndef IPAQ_H
#define IPAQ_H

/*
 * IPAQ.H
 * Copyright 2000, Century Software Embedded Technologies
 */

/* 
 * DESCRIPTION:  This file contains the prototypes for
 *               the Ipaq platform specific functions
 *               
 * AUTHOR:       First draft, Jordan Crouse, 11/27/00
 */

/****** THIS FILE IS FOR INTERNAL LIBRARY USE ONLY ******/
#ifdef DEBUG
#define RESOLV_FILE 		"/home/trumanl/lumberjack/flnxapps/properties/resolv.conf"
#define NET_FILE			"/home/trumanl/lumberjack/flnxapps/properties/network.opts"
#else
#define RESOLV_FILE		"/etc/resolv.conf"
#define NET_FILE			"/etc/pcmcia/network.opts"
#endif

#define IPAQ_GATEWAY_FILE		"/tmp/gateway"

/* NXSYS PROTOTYPES */
int ipaq_set_backlight(unsigned char, unsigned char);
int ipaq_get_battery(nxsys_battery_t *);
int ipaq_write_net_values(nxsys_ipaddr_str_t, nxsys_dns_t);
int ipaq_get_net_value(char *, char *);

/* NXCOMM PROTOTYPES */
int ipaq_set_nameserver(char *, char *, unsigned long *, int);
#endif
