#ifndef NXIO_PROTOS_H
#define NXIO_PROTOS_H

#include <nxio.h>

typedef struct
{
  int (*sysdep_play_wav_file)(char *);
  int (*sysdep_save_wav_file)(char *, nxio_audio_t *, unsigned char *);
  int (*sysdep_load_wav_file)(char *, nxio_audio_t *, unsigned char *, int);
  int (*sysdep_get_wav_stats)(char *, nxio_audio_t *);
  int (*sysdep_open_stream)(int, nxio_audio_t *);
  int (*sysdep_stream_record)(int, unsigned char *, int);
  int (*sysdep_stream_play)(int, unsigned char *, int);
  int (*sysdep_get_mixer_devices)(unsigned long *);
  int (*sysdep_get_mixer_level)(int, nxio_level_t *);
  int (*sysdep_set_mixer_level)(int, nxio_level_t *);
} nxio_functions_t;

#endif
