/***************************************************************************
**									  **
**			File Name: netstrerror.h			  **
**			    Chitra Shankaran				  **
**			National Semiconductors				  **
**			       Bangalore				  **
**									  **
**									  **
**									  **
**  This file defines the error codes for all the errors that can occur   **
**  with the netstream player						  **
**									  **
***************************************************************************/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define NETSTR_INIT_ERR -1
#define NETSTR_HOOK2SRV_ERR -2
#define NETSTR_GET_NOFILES_ERR -3
#define NETSTR_MALLOC_ERR -4
#define NETSTR_GET_FILELIST_ERR -5
#define NETSTR_SELECT_FILE_ERR -6
#define NETSTR_OPEN_CURRENT_FILE_ERR -7
#define NETSTR_PLAY_ERR -8
#define NETSTR_FLAG_MATCH_ERR -9
#define NETSTR_STOP_ERR -10
#define NETSTR_PAUSE_ERR -11
#define NETSTR_FFWD_ERR -12
#define NETSTR_REV_ERR -13
#define NETSTR_LOOP_ERR -14
#define NETSTR_MUTE_ERR -15
#define NETSTR_LAUDIO_ERR -16
#define NETSTR_RAUDIO_ERR -17
#define NETSTR_UNMUTE_ERR -18
#define NETSTR_RESUME_PLAY_ERR -19
#define NETSTR_NO_INIT_ERR -20
#define NETSTR_UNLOOP_ERR -21
#define NETSTR_PROC_INIT_ERR -22
#define NETSTR_DISCONNECT_ERR -23
#define NETSTR_DIR_ERR -24
#define NETSTR_FILE_ERR -25

char* printError(int errorno);
void freeMem(void);
