#include "objects.h"
//#include "bitmaps/bucket.xbm"

int Bucket::clicked (int x, int y) {
	return (x > 0 && y > 0 && x < width && y < height);
}

void Bucket::draw() {
	if (game.grabbed != game.BUCKET) ui.draw(&picture, 0, 0);
}

void Bucket::load_pix() {
	picture.load("bucket");

	/* If this on a PDA, we have no mouse cursor stuff */
	/* Plus, it doesn't work so welll :( */

#ifndef PDA
	cursor.load("bucket", cursor.OWN_MASK);
#endif

	width = picture.width;
	height = picture.height;
}
