#ifndef LINUX_IF_H
#define LINUX_IF_H

/*
 * LINUX_IF.H
 * Copyright 2000, Century Software Embedded Technologies
 */

/* 
 * DESCRIPTION:  This file contains the prototypes for
 *               the Linux OS specific functions
 *               
 * AUTHOR:       First draft, Jordan Crouse, 11/27/00
 */

/****** THIS FILE IS FOR INTERNAL LIBRARY USE ONLY ******/

int linux_do_ip_address(int, char *, nxcomm_ipaddr_t *);
int linux_do_default_gateway(int, unsigned long *, char *);

int linux_set_nameserver(char *, char *, char *, unsigned long *, int);
int linux_get_if_list(int, nxcomm_interface_t *, int *);
int linux_if_active(char *);
int linux_if_dhcp(char *);
int linux_set_if_status(int, char *);

#endif
