#include "qpushbutton.h"


static void Button_Callback(Fl_Widget* o, void * pThis) {

  ((QPushButton*)pThis)->_callback();

}


void QPushButton::_callback()
{
  emit clicked();
}

QPushButton::QPushButton(QWidget * parent, const char * name ) : QWidget(parent,name)
{ 
  QWidget::setMinimumSize(40,QPUSHBUTTON_HEIGHT);
  
  Fl_Button * b = new Fl_Button(0,0,40,QPUSHBUTTON_HEIGHT,"Text");
  Fl_Group::add(b);
  setWidget(b);
  b->callback((Fl_Callback*)Button_Callback,this);
}


#include "qpushbutton.moc"
