/*******************************************************************************\
**
**	Header File:	audio.h
**	Desc:			Abstracts the audio handling of wmcmd plugins.
**	History:		04/20/01		J Webb <jeffw@censoft.com>
**
\*******************************************************************************/

#ifndef AUDIO_WMCMD_INCLUDED
#define	AUDIO_WMCMD_INCLUDED	1

/* Feature test switches */


/* System header files */


/* Local header files */


/* Typedef, macro, enum/struct/union definitions */
#define	AV_CHAN_TUNER		0
#define	AV_CHAN_VIDEO		1
#define	AV_CHAN_SVIDEO		2
#define	AV_CHAN_MPEG		3


/* ANSI Function prototypes */
int SetAudio(int selection, int muting, int increment/*, int flags*/);


/* Values for SetAudio() flags argument */
#define	AUD_FLG_SETTOINCR	0x00000001								/* Intreprets increment as desired value */

#endif /* AUDIO_WMCMD_INCLUDED */
